Mailinglist Archive: opensuse-features (434 mails)

< Previous Next >
[openFATE 307842] Update eclipse to latest version
  • From: fate_noreply@xxxxxxx
  • Date: Wed, 9 Dec 2009 01:23:48 +0000 (GMT)
  • Message-id: <feature-307842-7@xxxxxxxxxxxxxx>
Feature changed by: Pavol Rusnak (prusnak)
Feature #307842, revision 7
Title: Update eclipse to latest version

openSUSE-11.3: Unconfirmed
Priority
Requester: Important

Requested by: Glenn Doig (doiggl)

Description:
Update eclipse to latest version as found in
http://www.eclipse.org/downloads/
Thanks Glenn

Discussion:
#1: Robert Munteanu (robert_munteanu) (2009-12-06 14:48:38)
Please consider updating Eclipse to version 3.6 . The
currently bundled version
is 3.4, which is already one version behind.
The current plan is for Eclipse 3.6 to be released in June 2006 (

http://www.eclipse.org/projects/project-plan.php?projectid=eclipse
(http://www.eclipse.org/projects/project-plan.php?projectid=eclipse)
) which
would make it suitable for inclusion in OpenSUSE 11.3 (
http://en.opensuse.org/Roadmap
(http://en.opensuse.org/Roadmap)
).
This would also solve SWT's incompabitlities with GTK 2.18+ , reported
at https://bugzilla.novell.com/show_bug.cgi?id=539022 .


#2: Alex Richardson (alerich) (2009-12-06 16:23:24)
Very good idea, I fully agree.

#3: Pavol Rusnak (prusnak) (2009-12-07 13:40:57)
Robert, Alex: I agree, go ahead and update it!

#4: Robert Munteanu (robert_munteanu) (2009-12-08 21:41:59) (reply to
#3)
Which project should I base my work on from

http://software.opensuse.org/search?baseproject=openSUSE%3AFactory&p=1&q=eclipse
?

+ #5: Pavol Rusnak (prusnak) (2009-12-09 02:23:49) (reply to #4)
+ osc meta pkg openSUSE:Factory eclipse | grep '<devel'
+   <devel project="Java:packages" package="eclipse"/>
+ So it is Java:packages project.



--
openSUSE Feature:
https://features.opensuse.org/307842

< Previous Next >
This Thread
References